package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("rz_zhzq2_res")
public class RzZhzq2ResDO {
    /**
     *
     */
    @TableId(value = "id")
    private Integer id;
    /**
     * 排名期，周频为yyyy-mm-dd，月频为yyyy-mm
     */
    @TableField(value = "end_date")
    private String endDate;
    /**
     * 排名区间 1m-月 3m-季度，6m-半年度， race-年度，race2-两年度
     */
    @TableField(value = "rank_range")
    private String rankRange;
    /**
     * 排名分组ID
     */
    @TableField(value = "rank_group_id")
    private Integer rankGroupId;
    /**
     * 策略
     */
    @TableField(value = "strategy")
    private Integer strategy;
    /**
     * 基金id
     */
    @TableField(value = "fund_id")
    private String fundId;
    /**
     * 基金备案编号
     */
    @TableField(value = "product_register_number")
    private String productRegisterNumber;
    /**
     * 基金全称
     */
    @TableField(value = "fund_name")
    private String fundName;
    /**
     * 基金简称
     */
    @TableField(value = "fund_short_name")
    private String fundShortName;
    /**
     * 公司id
     */
    @TableField(value = "company_id")
    private String companyId;
    /**
     * 备案编号
     */
    @TableField(value = "register_number")
    private String registerNumber;
    /**
     * 公司名称
     */
    @TableField(value = "company_name")
    private String companyName;
    /**
     * 公司名称
     */
    @TableField(value = "company_short_name")
    private String companyShortName;
    /**
     * 净值日期
     */
    @TableField(value = "price_date")
    private Date priceDate;
    /**
     * 单位净值
     */
    @TableField(value = "nav")
    private BigDecimal nav;
    /**
     * 考虑分红再投资的单位累计净值
     */
    @TableField(value = "cumulative_nav")
    private BigDecimal cumulativeNav;
    /**
     * 分红不投资的单位累计净值
     */
    @TableField(value = "cumulative_nav_withdrawal")
    private BigDecimal cumulativeNavWithdrawal;
    /**
     * 区间收益计算用的起始净值日期
     */
    @TableField(value = "pre_price_date")
    private Date prePriceDate;
    /**
     * 区间收益计算用的起始累计净值
     */
    @TableField(value = "pre_cumulative_nav")
    private BigDecimal preCumulativeNav;
    /**
     * 得分
     */
    @TableField(value = "score")
    private BigDecimal score;
    /**
     * 定量得分
     */
    @TableField(value = "quantitative_score")
    private BigDecimal quantitativeScore;
    /**
     * 定性得分
     */
    @TableField(value = "qualitative_score")
    private BigDecimal qualitativeScore;
    /**
     * 产品规模
     */
    @TableField(value = "product_scale")
    private BigDecimal productScale;
    /**
     * 收益
     */
    @TableField(value = "ret")
    private BigDecimal ret;
    /**
     * 近6个月收益
     */
    @TableField(value = "ret_6m")
    private BigDecimal ret6m;
    /**
     * 年化收益
     */
    @TableField(value = "ret_a")
    private BigDecimal retA;
    /**
     * 回撤
     */
    @TableField(value = "maxdown")
    private BigDecimal maxdown;
    /**
     * 卡玛比率
     */
    @TableField(value = "calmarratio")
    private BigDecimal calmarratio;
    /**
     * 夏普
     */
    @TableField(value = "sharperatio")
    private BigDecimal sharperatio;
    /**
     * 索提诺
     */
    @TableField(value = "sortinoratio")
    private BigDecimal sortinoratio;
    /**
     * 阿尔法
     */
    @TableField(value = "alpha")
    private BigDecimal alpha;
    /**
     * 周胜率
     */
    @TableField(value = "winrate")
    private BigDecimal winrate;
    /**
     * 信息比率
     */
    @TableField(value = "info_ratio")
    private BigDecimal infoRatio;
    /**
     * 区间超额收益
     */
    @TableField(value = "excess_ret")
    private BigDecimal excessRet;
    /**
     * 超额回撤
     */
    @TableField(value = "excess_maxdown")
    private BigDecimal excessMaxdown;
    /**
     * 超额周胜率
     */
    @TableField(value = "excess_winrate")
    private BigDecimal excessWinrate;
    /**
     * 超额卡玛
     */
    @TableField(value = "excess_calmarratio")
    private BigDecimal excessCalmarratio;
    /**
     * 公司规模
     */
    @TableField(value = "company_asset_size")
    private Integer companyAssetSize;
    /**
     * 分组
     */
    @TableField(value = "scale_group")
    private Integer scaleGroup;
    /**
     * 得分排名
     */
    @TableField(value = "rank_score")
    private Integer rankScore;
    /**
     * 产品规模排名
     */
    @TableField(value = "rank_product_scale")
    private Integer rankProductScale;
    /**
     * 最近一周收益排名
     */
    @TableField(value = "rank_ret")
    private Integer rankRet;
    /**
     * 近6个月收益排名
     */
    @TableField(value = "rank_ret_6m")
    private Integer rankRet6m;
    /**
     * 年化收益排名
     */
    @TableField(value = "rank_ret_a")
    private Integer rankRetA;
    /**
     * 最近一周回撤排名
     */
    @TableField(value = "rank_maxdown")
    private Integer rankMaxdown;
    /**
     * 卡玛比率排名
     */
    @TableField(value = "rank_calmarratio")
    private Integer rankCalmarratio;
    /**
     * 夏普排名
     */
    @TableField(value = "rank_sharperatio")
    private Integer rankSharperatio;
    /**
     * 索提诺排名
     */
    @TableField(value = "rank_sortinoratio")
    private Integer rankSortinoratio;
    /**
     * 阿尔法排名
     */
    @TableField(value = "rank_alpha")
    private Integer rankAlpha;
    /**
     * 胜率排名
     */
    @TableField(value = "rank_winrate")
    private Integer rankWinrate;
    /**
     * 信息比率排名
     */
    @TableField(value = "rank_info_ratio")
    private Integer rankInfoRatio;
    /**
     * 区间超额收益排名
     */
    @TableField(value = "rank_excess_ret")
    private Integer rankExcessRet;
    /**
     * 超额回撤排名
     */
    @TableField(value = "rank_excess_maxdown")
    private Integer rankExcessMaxdown;
    /**
     * 超额周胜率排名
     */
    @TableField(value = "rank_excess_winrate")
    private Integer rankExcessWinrate;
    /**
     * 超额卡玛排名
     */
    @TableField(value = "rank_excess_calmarratio")
    private Integer rankExcessCalmarratio;
    /**
     * 创建者Id,默认第一次创建者名称，创建后不变更
     */
    @TableField(value = "creatorid")
    private Integer creatorId;
    /**
     * 创建时间,默认第一次创建的CreatTime时间
     */
    @TableField(value = "createtime")
    private Date createTime;
    /**
     * 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    @TableField(value = "updaterid")
    private Integer updaterId;
    /**
     * 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
     */
    @TableField(value = "updatetime")
    private Date updateTime;
    /**
     * 记录的有效性；1-有效；0-无效；
     */
    @TableField(value = "isvalid")
    private Integer isvalid;
    /**
     * 是否在中信开户
     */
    @TableField(value = "is_open_account")
    private String isOpenAccount;
    /**
     * 是否在中航中期期货开户
     */
    @TableField(value = "is_open_account2")
    private String isOpenAccount2;
}