package com.simuwang.base.pojo.dto.competition;


import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import com.alibaba.excel.enums.poi.HorizontalAlignmentEnum;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author mozuwen
 * @date 2024-11-01
 * @description 中航证券大赛排名榜单模板
 */
@Data
@HeadFontStyle(fontHeightInPoints = 10)
@ContentStyle(horizontalAlignment = HorizontalAlignmentEnum.LEFT)
public class ZhzqCompetitionResultDTO extends CompetitionBaseResultDTO {

    /**
     * 策略
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "策略")
    private String strategyName;

    /**
     * 规模分组
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "规模分组")
    private String assetGroupName;

    /**
     * 排名
     */
    @ColumnWidth(10)
    @ExcelProperty(value = "排名")
    private Integer rank;

    /**
     * 策略(该字段不在输出表格内)
     */
    @ExcelIgnore
    private Integer strategy;

    /**
     * 产品ID
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "产品ID")
    private String fundId;

    /**
     * 产品备案编码
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "产品备案编码")
    private String registerNumber;

    /**
     * 产品全称
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "产品全称")
    private String fundName;

    /**
     * 产品简称
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "产品简称")
    private String fundShortName;

    /**
     * 公司ID
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "公司ID")
    private String companyId;

    /**
     * 公司备案编码
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "公司备案编码")
    private String companyRegisterNumber;

    /**
     * 公司全称
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "公司全称")
    private String companyName;

    /**
     * 公司简称
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "公司简称")
    private String companyShortName;

    /**
     * 期初净值日期
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "期初净值日期")
    private String startPriceDate;

    /**
     * 期初净值
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "期初净值")
    private String startCumulativeNavWithdrawal;

    /**
     * 期末净值日期
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "期末净值日期")
    private String endPriceDate;

    /**
     * 期末净值
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "期末净值")
    private String endCumulativeNavWithdrawal;

    /**
     * 综合得分
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "综合得分")
    private BigDecimal score;

    /**
     * 收益率
     */
    @ColumnWidth(15)
    @ExcelProperty("收益率")
    private BigDecimal ret;

    /**
     * 回撤
     */
    @ColumnWidth(15)
    @ExcelProperty("回撤")
    private BigDecimal maxdown;

    /**
     * 夏普比率
     */
    @ColumnWidth(15)
    @ExcelProperty("夏普比率")
    private BigDecimal sharpeRatio;

    /**
     * 信息比率
     */
    @ColumnWidth(15)
    @ExcelProperty("信息比率")
    private BigDecimal infoRatio;

    /**
     * 卡玛比率
     */
    @ColumnWidth(15)
    @ExcelProperty("卡玛比率")
    private BigDecimal calmarRatio;

    /**
     * 产品规模
     */
    @ColumnWidth(15)
    @ExcelProperty("产品规模")
    private BigDecimal productScale;

    /**
     * 区间超额收益
     */
    @ColumnWidth(15)
    @ExcelProperty("区间超额收益")
    private BigDecimal excessRet;

    /**
     * 超额回撤
     */
    @ColumnWidth(15)
    @ExcelProperty("超额回撤")
    private BigDecimal excessMaxdown;

    /**
     * 超额卡玛比率
     */
    @ColumnWidth(15)
    @ExcelProperty("超额卡玛比率")
    private BigDecimal excessCalmarRatio;

    /**
     * 是否开户
     */
    @ColumnWidth(10)
    @ExcelProperty(value = "是否开户")
    private String isOpenAccount;

}
