package com.simuwang.manage.api.competition;

import com.simuwang.manage.task.CompetitionTask;
import com.smppw.common.pojo.ResultVo;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/v1/competition")
public class CompetitionController {

    private final CompetitionTask competitionTask;

    public CompetitionController(CompetitionTask competitionTask) {
        this.competitionTask = competitionTask;
    }


    /**
     * 获取大赛结果
     *
     * @param type          结果类型：1-基金净值明细，2-基金净值缺失明细，3-榜单解析明细
     * @param competitionId 大赛Id
     * @param period        榜单周期
     * @return 大赛结果
     */
    @GetMapping("/result")
    public ResultVo<String> getResult(@RequestParam(value = "type") Integer type,
                                      @RequestParam(value = "competitionId", required = false) Integer competitionId,
                                      @RequestParam(value = "period", required = false) String period) {
        return ResultVo.ok(competitionTask.getResult(type, competitionId, period));
    }


}
