package com.simuwang.manage.service.listener;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import com.simuwang.manage.dto.FundAliasDTO;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class FundAliasReadListener implements ReadListener<FundAliasDTO> {

    private static final Logger log = LoggerFactory.getLogger(FundAliasReadListener.class);

    private final List<FundAliasDTO> dataList;

    public FundAliasReadListener(List<FundAliasDTO> dataList) {
        this.dataList = dataList;
    }

    @Override
    public void invoke(FundAliasDTO data, AnalysisContext context) {
        Integer rowIndex = context.readRowHolder().getRowIndex();
        log.info("row index : {}, data : {}", rowIndex, data);
        if (data != null && StrUtil.isNotBlank(data.getTargetFundId())) {
            this.dataList.add(data);
        }
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext context) {
        log.info("read done, data size is : {}", dataList.size());
    }

}
